
	varying vec3 normal;


	uniform sampler2D Texture0;
	
	void main()
	{


vec4 color ;
vec3 n = normalize(normal);





color.rgba    = texture2D(Texture0,gl_TexCoord[0].st).rgba;


color.rgb +=-0.05+n.y*0.3;






gl_FragColor = color;
	}